Groups
GroupsService manages group principals.
Base path: /groups
POST /groups/CreateGroupPrincipal
Section titled “POST /groups/CreateGroupPrincipal”CreateGroupPrincipal provisions a new group principal.
Request (CreateGroupPrincipalRequest)
| Field | Type | Description |
|---|---|---|
name | string | name: Display name for the group principal. |
owner_principal_id | string | owner_principal_id: The user principal who will own/administer this group. |
Response (CreateGroupPrincipalResponse)
| Field | Type | Description |
|---|---|---|
group | GroupPrincipal | group: The newly created group principal and its provisioned account. |
POST /groups/GetGroupPrincipal
Section titled “POST /groups/GetGroupPrincipal”GetGroupPrincipal retrieves a group principal.
Request (GetGroupPrincipalRequest)
| Field | Type | Description |
|---|---|---|
group_id | string | group_id: The group principal ID to retrieve (grp_ prefix). |
Response (GetGroupPrincipalResponse)
| Field | Type | Description |
|---|---|---|
group | GroupPrincipal | group: The requested group principal. |
POST /groups/ListGroupPrincipals
Section titled “POST /groups/ListGroupPrincipals”ListGroupPrincipals lists all group principals for the tenant.
Request (ListGroupPrincipalsRequest)
No fields.
Response (ListGroupPrincipalsResponse)
| Field | Type | Description |
|---|---|---|
groups | GroupPrincipal[] | groups: All group principals for the tenant, in arbitrary order. |
POST /groups/UpdateGroupPrincipal
Section titled “POST /groups/UpdateGroupPrincipal”UpdateGroupPrincipal renames a group principal.
Request (UpdateGroupPrincipalRequest)
| Field | Type | Description |
|---|---|---|
group_id | string | |
name | string | name: New display name for the group. |
Response (UpdateGroupPrincipalResponse)
| Field | Type | Description |
|---|---|---|
group | GroupPrincipal | group: The updated group principal. |
POST /groups/DeleteGroupPrincipal
Section titled “POST /groups/DeleteGroupPrincipal”DeleteGroupPrincipal removes the group principal (cascade delete).
Request (DeleteGroupPrincipalRequest)
| Field | Type | Description |
|---|---|---|
group_id | string |
Response (DeleteGroupPrincipalResponse)
No fields.
POST /groups/AddGroupMember
Section titled “POST /groups/AddGroupMember”AddGroupMember adds a user principal as a member of a group.
Request (AddGroupMemberRequest)
| Field | Type | Description |
|---|---|---|
group_id | string | group_id: The group to add the member to. |
member_id | string | member_id: The principal ID to add as a member (usr_* prefix). |
Response (AddGroupMemberResponse)
No fields.
POST /groups/RemoveGroupMember
Section titled “POST /groups/RemoveGroupMember”RemoveGroupMember removes a user principal from a group.
Request (RemoveGroupMemberRequest)
| Field | Type | Description |
|---|---|---|
group_id | string | group_id: The group to remove the member from. |
member_id | string | member_id: The principal ID to remove from the group (usr_* prefix). |
Response (RemoveGroupMemberResponse)
No fields.
POST /groups/ListGroupMembers
Section titled “POST /groups/ListGroupMembers”ListGroupMembers lists all user principals that are members of a group.
Request (ListGroupMembersRequest)
| Field | Type | Description |
|---|---|---|
group_id | string | group_id: The group whose members to list. |
Response (ListGroupMembersResponse)
| Field | Type | Description |
|---|---|---|
members | GroupMember[] | members: All user principals that are currently members of the group. |